@import 'mixins';

$font-stack:    'Roboto', sans-serif;
$primary-color: #333;

* {
    margin: 0px;
    font-family: $font-stack;
    box-sizing: border-box;
}

header {
    margin-top: 0px;
    height: 90px;
}
/* BARRA NAVEGACIÖN MENÚ SUPERIOR */

header div.menu-wrap {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 65px;
    background-color: #f7f7f7;
    z-index: 1;
}

p {
    color: red;
}

/* SECCION LOGO Y BOTONES DE CUENTA */

a {
    text-decoration: none;
  }
  
div.menu-wrap {
      // En el viewport normal, .toggler y .hamburguer tienen el display a none.
      .toggler{
        position: absolute;
        top: 0;
        left: 0;
        z-index: 2;
        opacity: 0;
        width: 50px;
        height: 50px;
        cursor: pointer;
        display: none;
      }
      .hamburguer {
        display: none;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
        height: 60px;
        width: 60px;
        padding: 1rem;
        //display: flex;
        align-items: center;
        justify-content: center;
        // border: 1px solid #333333;
      }

      .hamburguer > div {
        display: inherit;
        position: relative;
        width: 100%;
        height: 2px;
        background: #000;
        display: inherit;
        align-items: center;
        justify-content: center;
        transition: all 0.4s ease;
      }
      .hamburguer > div:before,
      .hamburguer > div:after {
        content: '';
        position: absolute;
        width: 100%;
        height: 2px;
        top: -10px;
        background: inherit;
        z-index: -1;
      }
      .hamburguer > div:after {
        top: 10px;
      }

      .toggler:checked + .hamburguer > div {
        transform: rotate(135deg)
      }

      // Convertir menu en X
      .toggler:checked + .hamburguer > div:after,
      .toggler:checked + .hamburguer > div:before {
        transform:  rotate(90deg);
        top: 0;
      }

      .toggler:checked:hover + .hamburguer > div {
        transform: rotate(225deg);
      }


        ul {
            position: absolute;
            top: 0;
            left: 0;
            display: flex;
            align-items: right;
            justify-content: right;
            text-align: right;
            list-style: none;
            margin: 0;
            padding-left: 0;
            margin-right: 25px;
        }

        li {
            color: #666;
            display: flex;
            padding: 20px 20px;
            flex-direction: row;
            align-items: inherit;
            text-align: inherit;
            justify-content: inherit;

            a {
                color: #888;
                text-decoration: none;
                font-size: 15px;
                font-weight: bold;
            }
            a:hover {
                cursor: pointer;
                color: #444;
            }

            a#pais {
                margin-left: 15px;
            }
            ul {
                background: #fff;
                visibility: hidden;
                opacity: 0;
                min-width: 5rem;
                position: absolute;
                margin-top: 5px;
                left: 0;
                display: none;

              li {
                clear: both;
                margin-left: -50px;
                height: 30px;
                width: 150px;
                z-index: 100;
                background-color: #fff;
                }
              li:hover {
                background-color: #f7f7f7;
                z-index: 100;
               }
               ul.selector_pais li:hover {
                background-color: #eef4fb;
                z-index: 100;
            }

            }

        }
        ul li:hover > ul, 
        ul li:focus-within > ul,
        ul li ul:hover {
            visibility: visible;
            opacity: 1;
            display: block;
            border: 1px solid #ddd;
          }  

  }

@media only screen and (max-width: 500px) {
  div.menu-wrap {
    .toggler {
      display: block;
    }

    .hamburguer {
      display: flex;
    }

    .toggler:checked ~ .menu {
      visibility: visible;
      
    }

    .menu {
      
      visibility: hidden;

      ul {
        flex-direction: column;
        align-items: left;
        justify-content: left;
        text-align: left;
        top: 65px;
        
        li:first-child {
          border-top: 1px solid #ddd;
        }

        li {
          flex-direction: column;
          border-bottom: 1px solid #ddd;
          border-right: 1px solid #ddd;
          border-left: 1px solid #ddd;
          width: 50vw
        }
        
        li:hover {
          background-color: #eee;
        }
      
      }
    }

  



  }

}